
# Mosyle Manager API

*Mirror of official Mosyle Manager API documentation.*

## First Steps

[Enable the API Integration](enable-api-integration.md)

[Obtain Access Token](obtain-access-token.md)

[Make a Request using the API](make-a-request-using-the-api.md) - Discover how to integrate your system with our Mosyle Manager API and make requests. In this article you will learn about the general parameters used in every request you can make.

## Device Operations

[List Devices](list-devices.md) - Check out this guide to learn how to list and search your devices through the Mosyle Manager API.

[Update Device Attributes](update-device-attributes.md) - Check out this guide to learn how to update attributes  of one or multiple devices using Mosyle Manager API.

[Wipe Devices](wipe-devices.md) - Check out this guide to learn how to wipe devices through Mosyle Manager API.

[Restart Devices](restart-devices.md) - Check out this guide to learn how to restart through the Mosyle Manager API.

[Shutdown Device](shutdown-devices.md) - Check out this guide to learn how to shutdown devices through the Mosyle Manager API.

[Clear Commands](clear-commands.md) - Check out this guide to learn how to clear commands through the Mosyle Manager API.

[Unassign Devices](unassign-devices.md) - Check out this guide to learn how to unassign devices through the Mosyle Manager API.

[Lost Mode](lost-mode.md) (only iOS) - Check out this guide to learn how to enable/disable lost mode on your devices through the Mosyle Manager API.

## User Operations

[List Users](list-users.md) - Check out this guide to learn how to list and search users through the Mosyle Manager API.

[Create / Update Users](create-update-users.md) - Create and update users through the Mosyle Manager API.

[Delete Users](delete-users.md) - Check out this guide to learn how to delete users using Mosyle Manager API.

[Assign Devices](assign-devices.md) - Check out this guide to learn how to assign devices devices  to users through the Mosyle Manager API.

## Class Operations

[Save and Delete Classes](save-delete-classes.md) - Check out this guide and learn how to manage your classes through the Mosyle Manager API.

[List Classes](list-classes.md) - CHeck out this guide to learn how to list your classes through the Mosyle Manager API.

## Accounts (District Only)

[Get Accounts](get-accounts.md) - Get accounts list.

[Create new Account](create-account.md) - Check out this guide to learn how to create a new account (District Only).

## Cisco ISE

[Add and Remove Devices](cisco-add-remove-devices.md) - Check out this guide about how to add and remove devices from Cisco ISE.

[Get Device](cisco-get-device.md) - Check out this guide on managing devices in your Cisco ISE.

## Dynamic Device Group Operations

[List Dynamic Device Groups](list-device-groups.md) - Check out this guide to learn how to list and search dynamic device groups through the Mosyle Manager API.

[List Device Group Members](list-device-group-members.md) - Check out this guide to learn how to list all device UDIDs of a specific dynamic device group through the Mosyle Manager API.

## Action Logs

[List Actions](list-actions.md) - Check out this guide to learn how to list and search Action Logs through the Mosyle Manager API.

## Other Articles

[Preassign Unenrolled DEP Devices to Users](preassign-unenrolled-dep-devices-to-users.md)

[Disable API Integration](disable-api-integration.md)

[Renew Access Token](renew-access-token.md)
